Bug 1411359 - launch_ansible_job doesn't support multiple Ansible Tower providers in CloudForms
Summary: launch_ansible_job doesn't support multiple Ansible Tower providers in CloudF...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.1
Assignee: mkanoor
QA Contact: Pavol Kotvan
URL:
Whiteboard: automate:tower
Depends On: 1378606
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 14:44 UTC by Satoe Imaishi
Modified: 2017-02-27 19:18 UTC (History)
11 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1378606
Environment:
Last Closed: 2017-02-27 19:18:07 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 14:50:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/166c703906fed68236023d53f702b431e4a1ef8b

commit 166c703906fed68236023d53f702b431e4a1ef8b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Nov 28 14:12:23 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 09:48:05 2017 -0500

    Merge pull request #11669 from mkanoor/bugzilla_1378606
    
    Support provider name & template name to uniquely identify a template
    (cherry picked from commit 76c643b434e10061a7d5e93db62f3eff17ecfacf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411359

 .../Job.class/__methods__/launch_ansible_job.rb    | 22 ++++++++++++---
 .../method_validation/launch_ansible_job_spec.rb   | 33 +++++++++++++++++++++-
 2 files changed, 50 insertions(+), 5 deletions(-)

Comment 4 mkanoor 2017-01-27 14:55:21 UTC
Hi Pavol,
You would create a dialog drop down list with the name 'ansible_provider_name', this drop down would list all the known ansible tower providers in CFME. The user would pick one of the providers and then based on that the user would make a selection of the job template to use.

To test this you would need at least 2 ansible providers with the same named job templates. So that we can pick the correct one based on user selection.

Thanks,
Madhu

Comment 6 mkanoor 2017-01-31 20:47:42 UTC
Not sure about the name convention, I will check with Brandon. But in your case you should be using a drop down list and not have to type in the name of the provider.

Comment 10 errata-xmlrpc 2017-02-27 19:18:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.